---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libobjfree002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52B10, symBinAddr: 0x8730, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54A50, symBinAddr: 0xA670, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54E40, symBinAddr: 0xAA60, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55DE0, symBinAddr: 0xBA00, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55DF0, symBinAddr: 0xBA10, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _mem, symObjAddr: 0x6D4F0, symBinAddr: 0x23110, symSize: 0x0 }
  - { offsetInCU: 0x7D8, offset: 0x7D8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52250, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x7E3, offset: 0x7E3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52254, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0x7EE, offset: 0x7EE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52258, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x833, offset: 0x833, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x523A0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0x8AC, offset: 0x8AC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52458, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8CA, offset: 0x8CA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5245C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0x8E3, offset: 0x8E3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52460, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8FC, offset: 0x8FC, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52464, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0x915, offset: 0x915, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52468, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52470, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F88, offset: 0x8F88, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x52480, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52488, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8FBA, offset: 0x8FBA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52490, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52498, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x8FEC, offset: 0x8FEC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x524A0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x9006, offset: 0x9006, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x524A8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x90EC, offset: 0x90EC, size: 0x8, addend: 0x0, symName: __ZL7objfree, symObjAddr: 0x524EC, symBinAddr: 0x81CC, symSize: 0x0 }
  - { offsetInCU: 0x9105, offset: 0x9105, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x524F0, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9123, offset: 0x9123, size: 0x8, addend: 0x0, symName: __ZL4stor, symObjAddr: 0x5267A, symBinAddr: 0x832A, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x524F8, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x9184, offset: 0x9184, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x52500, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x919D, offset: 0x919D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x52510, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0x91EF, offset: 0x91EF, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x17A0, symSize: 0x80 }
  - { offsetInCU: 0x9284, offset: 0x9284, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x16F0, symSize: 0xB0 }
  - { offsetInCU: 0x92DF, offset: 0x92DF, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x15F0, symSize: 0x100 }
  - { offsetInCU: 0x9572, offset: 0x9572, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1820, symSize: 0xC0 }
  - { offsetInCU: 0x95C4, offset: 0x95C4, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x18E0, symSize: 0x220 }
  - { offsetInCU: 0x97A9, offset: 0x97A9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1B00, symSize: 0xA0 }
  - { offsetInCU: 0x985C, offset: 0x985C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1BA0, symSize: 0x110 }
  - { offsetInCU: 0x9952, offset: 0x9952, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1CB0, symSize: 0x150 }
  - { offsetInCU: 0x9ACF, offset: 0x9ACF, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1E00, symSize: 0x30 }
  - { offsetInCU: 0x9BB0, offset: 0x9BB0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1E30, symSize: 0x150 }
  - { offsetInCU: 0x9DA8, offset: 0x9DA8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1F80, symSize: 0x160 }
  - { offsetInCU: 0xA068, offset: 0xA068, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x20E0, symSize: 0x4A0 }
  - { offsetInCU: 0xA2DB, offset: 0xA2DB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2580, symSize: 0x1B0 }
  - { offsetInCU: 0xA4F6, offset: 0xA4F6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2730, symSize: 0xA0 }
  - { offsetInCU: 0xA5F1, offset: 0xA5F1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x27D0, symSize: 0x20 }
  - { offsetInCU: 0xA628, offset: 0xA628, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x27F0, symSize: 0x20 }
  - { offsetInCU: 0xA65F, offset: 0xA65F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2810, symSize: 0x20 }
  - { offsetInCU: 0xA7CE, offset: 0xA7CE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2830, symSize: 0x1A0 }
  - { offsetInCU: 0xAAEA, offset: 0xAAEA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x29D0, symSize: 0x150 }
  - { offsetInCU: 0xAC9F, offset: 0xAC9F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2B20, symSize: 0x80 }
  - { offsetInCU: 0xAD68, offset: 0xAD68, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2BA0, symSize: 0x6C0 }
  - { offsetInCU: 0xB8DE, offset: 0xB8DE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAC90, symBinAddr: 0x48F0, symSize: 0xB0 }
  - { offsetInCU: 0xB955, offset: 0xB955, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3260, symSize: 0x70 }
  - { offsetInCU: 0xBA11, offset: 0xBA11, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x32D0, symSize: 0xA0 }
  - { offsetInCU: 0xBB3C, offset: 0xBB3C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3370, symSize: 0x40 }
  - { offsetInCU: 0xBC32, offset: 0xBC32, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x33B0, symSize: 0x2B0 }
  - { offsetInCU: 0xBFD8, offset: 0xBFD8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3660, symSize: 0xC0 }
  - { offsetInCU: 0xC11E, offset: 0xC11E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3720, symSize: 0x10 }
  - { offsetInCU: 0xC1E0, offset: 0xC1E0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3730, symSize: 0x240 }
  - { offsetInCU: 0xC4C9, offset: 0xC4C9, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3970, symSize: 0x10 }
  - { offsetInCU: 0xC526, offset: 0xC526, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3980, symSize: 0x400 }
  - { offsetInCU: 0xC9A4, offset: 0xC9A4, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA120, symBinAddr: 0x3D80, symSize: 0x10 }
  - { offsetInCU: 0xCAF0, offset: 0xCAF0, size: 0x8, addend: 0x0, symName: _ObjectFree, symObjAddr: 0xA130, symBinAddr: 0x3D90, symSize: 0x9D0 }
  - { offsetInCU: 0xD567, offset: 0xD567, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xAB00, symBinAddr: 0x4760, symSize: 0x60 }
  - { offsetInCU: 0xD5BD, offset: 0xD5BD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ObjectFree_objfree002_setTag, symObjAddr: 0xAB60, symBinAddr: 0x47C0, symSize: 0x120 }
  - { offsetInCU: 0xD6F9, offset: 0xD6F9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ObjectFree_objfree002_check, symObjAddr: 0xAC80, symBinAddr: 0x48E0, symSize: 0x10 }
  - { offsetInCU: 0xD72E, offset: 0xD72E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAD40, symBinAddr: 0x49A0, symSize: 0x36A }
...
